AI Model APIChatNative Gemini Format
⚠️Compliance notice: Use this project only for lawfully authorized API gateway, internal management, and private deployment scenarios. Follow upstream terms of service, platform rules, regulatory requirements, and content safety requirements.
Gemini Text Chat
Proxy Gemini API requests.
Path format: /v1beta/models/{model_name}:{action}
For example:
/v1beta/models/gemini-2.5-pro:generateContent/v1beta/models/gemini-2.5-pro:streamGenerateContent?alt=sse
AuthorizationBearer <token>
Authenticate with a Bearer token.
Format: Authorization: Bearer sk-xxxxxx
In: header
Path Parameters
modelstring
Model name
contents?
generationConfig?
safetySettings?
tools?
systemInstruction?
Response Body
application/json
curl -X POST "https://api.beeaicloud.com/v1beta/models/string:generateContent" \ -H "Content-Type: application/json" \ -d '{}'{
"candidates": [
{
"content": {
"role": "string",
"parts": [
{}
]
},
"finishReason": "string",
"safetyRatings": [
{}
]
}
],
"usageMetadata": {
"promptTokenCount": 0,
"candidatesTokenCount": 0,
"totalTokenCount": 0
}
}How is this guide?